## org.apache.axis.encoding.ser
Class PlainTextDataHandlerSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.JAFDataHandlerSerializer
          org.apache.axis.encoding.ser.PlainTextDataHandlerSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class PlainTextDataHandlerSerializer
extends JAFDataHandlerSerializer

text/plain DataHandler Serializer

Author:
  Russell Butek (butek@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`PlainTextDataHandlerSerializer()`

Method Summary
`void` `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize a Source DataHandler quantity.

Methods inherited from class org.apache.axis.encoding.ser.JAFDataHandlerSerializer
`getMechanismType, writeSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### PlainTextDataHandlerSerializer

    public PlainTextDataHandlerSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize a Source DataHandler quantity.

  Specified by:
    `serialize` in interface `Serializer`
  Overrides:
    `serialize` in class `JAFDataHandlerSerializer`
  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.